avopkg(1)

NAME
avopkg - Avogadro Package Manager

SYNOPSIS
avopkg [-info | -query | -pack | -f] filename
avopkg -wizard [package_name]

DESCRIPTION
Avopkg is a command-line tool for easy packaging and installation of Avogadro plugins on Unix platforms

OPTIONS

-pack manifest
    Create package using manifest as package description file

filename
    Install plugin from chosen package "filename"

--f filename
    Force installation of plugin, disregarding OS/CPU architecture, possible file overwrites, etc.

--wizard [package_name]
    Interactively create manifest for new package. Specifying package_name disables some interactivity of the wizard (e.g., for use in scripts).

--info [filename]
    Show information about package in file "filename"

--query [package_name]
    Show information about installed package "package_name"

ERROR CODES

1   Specified file is not a plugin

2   Manifest is missing in package

3   Trying to install Python plugin on Avogadro compiled without Python

4   OS mismatch

5   CPU architecture mismatch

6   Package overwrites existing file

255 Incorrect usage

SEE ALSO
avogadro(1). For more information about Avogadro, see <http://avogadro.cc/>

AUTHOR
Konstantin Tokarev